/**********************************************************************
 playmp3 - Copyright (C) 1997 - Hans Petter Bieker <zerium@pe049.persbraten.vgs
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
***********************************************************************/

#ifndef __PLAYMP3_H
#define __PLAYMP3_H

#define GLOBCFGFILE     "/usr/local/lib/playmp3rc" /* global configuration file */
#define LOCCFGFILE      "/.playmp3rc"              /* local configuration file */

#define DEFBUFFERSIZE (512)
#define MINBUFFERSIZE (1)

#define DEFMAXCONBUFFERS 8
#define MINMAXCONBUFFERS 1

/* one week should be enough for anyone.. 0 = uncompress the whole file or till 
   the buffers are full */
#define DEFWRITEWAIT 0
#define MINWRITEWAIT 0

#define PROGVERSION "playmp3 v0.4"

enum readloop_type {
  ACTIVE_INIT,
  ACTIVE_UNCOMPRESSING,
  ACTIVE_FINISH
};

#endif  __PLAYMP3_H
